SPECIAL>LOADMODEL|diceClimate3.mdl

! clear any changes
SIMULATE>READCIN|

! assumes that the data model has already been run, so data.vdf is present

! DICE default parameters - only need to adjust anomaly offset
SIMULATE>RUNNAME|DICE
SIMULATE>SETVAL|FINAL TIME=1989
SIMULATE>PAYOFF|tempAnomaly.vpd
SIMULATE>OPTPARM|offsetOnly.voc
MENU>RUN_OPTIMIZE|o
SIMULATE>READCIN|DICE.out
MENU>RUN|o

! S&T default parameters - only need to adjust anomaly offset
SIMULATE>RUNNAME|ST
SIMULATE>SETVAL|FINAL TIME=1989
SIMULATE>SETVAL|A UO Heat Cap=13.2
SIMULATE>SETVAL|Heat Trans Coeff=550
SIMULATE>PAYOFF|tempAnomaly.vpd
SIMULATE>OPTPARM|offsetOnly.voc
MENU>RUN_OPTIMIZE|o
SIMULATE>READCIN|ST.out
SIMULATE>SETVAL|A UO Heat Cap=13.2
SIMULATE>SETVAL|Heat Trans Coeff=550
MENU>RUN|o

! Re-estimate A UO Heat Capacity, omitting aerosols
SIMULATE>RUNNAME|No Aerosols
SIMULATE>SETVAL|FINAL TIME=1989
SIMULATE>PAYOFF|tempAnomaly.vpd
SIMULATE>OPTPARM|inertiaOnly.voc
MENU>RUN_OPTIMIZE|o
SIMULATE>READCIN|No Aerosols.out
MENU>RUN|o

! Estimate A UO Heat Capacity, with aerosols at best-guess scale
SIMULATE>RUNNAME|Aerosols
SIMULATE>SETVAL|FINAL TIME=1989
SIMULATE>SETVAL|Aerosol Scale=-0.75
SIMULATE>PAYOFF|tempAnomaly.vpd
SIMULATE>OPTPARM|inertiaOnly.voc
MENU>RUN_OPTIMIZE|o
SIMULATE>READCIN|Aerosols.out
MENU>RUN|o

! MCMC estimate of the full model, with uncertain aerosol scale
! priors on aerosols, heat capacity and heat transfer
! initial conditions assigned to 0 (preindustrial)
SIMULATE>RUNNAME|MCMC
SIMULATE>SETVAL|FINAL TIME=1989
SIMULATE>PAYOFF|tempAnomaly+Cap+Aer+Mix.vpd
SIMULATE>OPTPARM|fullParamsMCMC.VOC
MENU>RUN_OPTIMIZE|o

! re-run using the MCMC sample to generate confidence bounds
SIMULATE>RUNNAME|MCMC
SIMULATE>READCIN|MCMC.out
SIMULATE>SENSITIVITY|MCMCsample.vsc
SIMULATE>SENSSAVELIST|keyvars.lst
MENU>RUN_SENSITIVITY|o

! MCMC estimate of the full model, with uncertain aerosol scale
! no priors
! initial conditions assigned to 0 (preindustrial)
SIMULATE>RUNNAME|MCMC-NoPriors
SIMULATE>SETVAL|FINAL TIME=1989
SIMULATE>PAYOFF|tempAnomaly.vpd
SIMULATE>OPTPARM|fullParamsMCMC-NP.VOC
MENU>RUN_OPTIMIZE|o

! re-run using the MCMC sample to generate confidence bounds
SIMULATE>RUNNAME|MCMC-NoPriors
SIMULATE>READCIN|MCMC-NoPriors.out
SIMULATE>SENSITIVITY|MCMCsampleNP.vsc
SIMULATE>SENSSAVELIST|keyvars.lst
MENU>RUN_SENSITIVITY|o
